name: Julia Miocene
locality: 
country: Remote
role: <a href="/job-families/product/product-designer/">Product Designer</a>
reports_to: andy-volpe
picture: jmiocene.jpg
pronouns: 
pronunciation:
twitter: julia_miocene
linkedin: miocene
gitlab: jmiocene
departments:
  - Product
  - UX
  - Product Design
specialty: 'Create:Editor'
expertise:
story: 

